sqlitexx: Data Fields

sqlitexx 0.0.1

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- abort() : sqlite3xx::transaction
- addparam() : sqlite3xx::prepared_stmt
- affected_rows() : sqlite3xx::result

### - b -

- base() : sqlite3xx::sqlitexx_exception
- begin() : sqlite3xx::result
- Begin() : sqlite3xx::transaction

### - c -

- column_number() : sqlite3xx::result
- column_type() : sqlite3xx::result, sqlite3xx::result::tuple
- columns() : sqlite3xx::result
- commit() : sqlite3xx::transaction
- connection() : sqlite3xx::connection
- const_iterator() : sqlite3xx::result::const_iterator
- const_iterator_base : sqlite3xx::result

### - d -

- database_locked() : sqlite3xx::database_locked
- dbname() : sqlite3xx::connection
- declaration() : sqlite3xx::prepare::declaration
- difference_type : sqlite3xx::result

### - e -

- end() : sqlite3xx::result
- exec() : sqlite3xx::connection, sqlite3xx::prepare::invocation, sqlite3xx::transaction

### - f -

- failure() : sqlite3xx::failure
- field() : sqlite3xx::result::field

### - g -

- getStmt() : sqlite3xx::prepared_stmt
- GetValueDouble() : sqlite3xx::result, sqlite3xx::result::tuple
- GetValueInt() : sqlite3xx::result, sqlite3xx::result::tuple
- GetValueOfType() : sqlite3xx::result::field
- GetValueText() : sqlite3xx::result, sqlite3xx::result::tuple

### - i -

- invocation() : sqlite3xx::prepare::invocation

### - m -

- msg() : sqlite3xx::sql_error

### - o -

- operator()() : sqlite3xx::prepare::declaration, sqlite3xx::prepare::invocation
- operator++() : sqlite3xx::result::const_iterator
- operator->() : sqlite3xx::result::const_iterator
- operator<() : sqlite3xx::result::const_iterator
- operator<< : sqlite3xx::connection, sqlite3xx::result::field
- operator=() : sqlite3xx::result
- operator[]() : sqlite3xx::result, sqlite3xx::result::tuple

### - p -

- pointer : sqlite3xx::result::const_iterator
- prepare() : sqlite3xx::connection
- prepare_param_declare() : sqlite3xx::connection
- prepare_setparam() : sqlite3xx::connection
- prepared() : sqlite3xx::transaction
- prepared_exec() : sqlite3xx::connection
- prepared_reset() : sqlite3xx::connection
- prepared_stmt() : sqlite3xx::prepared_stmt

### - q -

- query() : sqlite3xx::sql_error

### - r -

- reset() : sqlite3xx::prepared_stmt
- result : sqlite3xx::result::const_iterator, sqlite3xx::result
- rownumber() : sqlite3xx::result::tuple

### - s -

- setparam() : sqlite3xx::prepare::invocation, sqlite3xx::prepared_stmt
- size() : sqlite3xx::result, sqlite3xx::result::tuple
- size_type : sqlite3xx::result, sqlite3xx::result::tuple
- sql() : sqlite3xx::prepared_stmt
- sql_error() : sqlite3xx::sql_error

### - t -

- to() : sqlite3xx::result::field
- trace() : sqlite3xx::connection
- transaction() : sqlite3xx::transaction
- tuple() : sqlite3xx::result::tuple

### - u -

- unprepare() : sqlite3xx::connection

### - ~ -

- ~connection() : sqlite3xx::connection
- ~prepared_stmt() : sqlite3xx::prepared_stmt
- ~result() : sqlite3xx::result
- ~sql_error() : sqlite3xx::sql_error
- ~sqlitexx_exception() : sqlite3xx::sqlitexx_exception
- ~transaction() : sqlite3xx::transaction
- ~tuple() : sqlite3xx::result::tuple